package localsearch.graphalgos;

/**
 * Created by IntelliJ IDEA.
 * User: hcambaza
 * Date: 7 nov. 2007
 * Time: 12:02:17
 * To change this template use File | Settings | File Templates.
 */
public class MatchingSolution {

	int[] matching;
	int[] evts;

    public MatchingSolution() {
        
    }

    public MatchingSolution(int[] mat, int[] es) {
		this.matching = new int[mat.length];
		System.arraycopy(mat,0,matching,0,mat.length);
		this.evts = new int[es.length];
		System.arraycopy(es,0,evts,0,es.length);
	}

    public void set(int[] mat, int[] es) {
        this.matching = mat;
        this.evts = es;        
    }

    public int[] getEvts() {
		return evts;
	}

	public int[] getMatching() {
		return matching;
	}

	/**
	 * NOT EFFICIENT to know the room dedicated to an event
     * @return the room foud for the given event
	 */
	public int getRoom(int evt) {
		for (int i = 0; i < evts.length; i++) {
			if (evts[i] == evt)
				return matching[i];
		}
		assert(false);
		return -1;
	}
	
}
