package timetabling.export;
import timetabling.recover.*;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class WeekSelection extends JFrame implements ActionListener, DiaryConst
{
	private static final long serialVersionUID = 1L;
	
	private JPanel panelSelection, panelCalendar;
	
	private JTextField inputChoosedDays;
	private JButton save, cancel;
	
	private JComboBox monthSelect, yearSelect;
	

	public WeekSelection()
	{
		this.setSize(640, 480);
		this.setLayout(new GridLayout(2, 1));
		
		//----- Select Panel -----\\
		
		panelSelection = new JPanel();
		panelSelection.setBorder(BorderFactory.createTitledBorder("Select the week of the export's application"));
		panelSelection.setLayout(new BorderLayout());
		this.add(panelSelection);
		
		inputChoosedDays = new JTextField();
		panelSelection.add(inputChoosedDays, BorderLayout.CENTER);
		
		JPanel panel = new JPanel();
		panel.setLayout(new GridLayout(2, 1));
		panelSelection.add(panel, BorderLayout.SOUTH);
		
		save = new JButton("Save");
		panel.add(save);
		
		cancel = new JButton("Cancel");
		panel.add(cancel);
		
		//----- Calendar Panel -----\\
		
		panelCalendar = new JPanel();
		panelCalendar.setBorder(BorderFactory.createEtchedBorder());
		panelCalendar.setLayout(new BorderLayout());
		this.add(panelCalendar);
		
		JPanel panel2 = new JPanel();
		panel2.setLayout(new GridLayout(2, 1));
		panelCalendar.add(panel2, BorderLayout.NORTH);
		
		monthSelect = new JComboBox(months);
		panel2.add(monthSelect);
		
		yearSelect = new JComboBox();
		panel2.add(yearSelect);		
	}
	
	public void actionPerformed(ActionEvent event)
	{
		// TODO
	}
}
