package timetabling.graphics;

import java.awt.*;
import javax.swing.*;

public class DiaryMenu extends JMenuBar
{
	private static final long serialVersionUID = 5L;
	
	// Differents menus
	private DiaryBar menubar;
	private DiaryToolBar toolbar;
		
	public DiaryMenu(DiaryFrame frame)
	{
		this.setLayout(new BorderLayout());
		menubar = new DiaryBar(frame);
		add(menubar, BorderLayout.NORTH);
		
		toolbar = new DiaryToolBar(frame);
		toolbar.setFloatable(true);
		add(toolbar, BorderLayout.SOUTH);
		
		this.setVisible(true);
	}

	public void setInfo(String name) 
	{
		toolbar.changeName(name);
	}
}
