package localsearch;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.File;
import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 * User: hcambaza
 * Date: 7 nov. 2007
 * Time: 18:44:55
 * To change this template use File | Settings | File Templates.
 */
public class Tracer {

	public BufferedWriter bw;
    public int offset = 0;

    public int avg = 5;
	public int cpt = 0;
	public boolean b = false;

    public Tracer(String nameInst, boolean soft, int offset) {
        b = soft;
		try {
			bw = new BufferedWriter(new FileWriter(new File(nameInst + "_" + soft + ".dat")));
		} catch (IOException e) {
			e.printStackTrace();
		}
        this.offset = offset; 
    }

    public Tracer(String nameInst, boolean soft) {
		this(nameInst,soft,0);
	}

	public void print(int cost, int iter, boolean forcep) {
		try {
			cpt++;
			int k;
			if (b) k = 1000;
			else k = 10;
		    if (cpt % k == 0 || forcep) {
				bw.write((iter+offset) + " " + cost);
				bw.newLine();
			    cpt = 1;
		    }
			bw.flush();			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

    public void print(int cost, int iter) {
        print(cost,iter,false);
	}

    public void close() {
		try {
			bw.flush();
			bw.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
