package localsearch.metah;

import localsearch.moves.complete.*;
import localsearch.solvers.complete.AbstractSolver;

/**
 * Created by IntelliJ IDEA.
 * User: hcambaza
 * Date: Sep 26, 2008
 * Time: 2:57:04 PM
 * To change this template use File | Settings | File Templates.
 */
public class TabuStrictlyImprove extends Tabu {

    public TabuStrictlyImprove(AbstractSolver absolver, int tabusize) {
        super(absolver, tabusize);
    }

    public boolean accept(SwapEvents swe, int delta) {
        return delta < 0 && super.accept(swe, delta);
    }

    public boolean accept(TranslateEvent tre, int delta) {
        return delta < 0 && super.accept(tre, delta);
    }

    public boolean accept(SwapTimeslots swt, int delta) {
        return delta < 0 && super.accept(swt, delta);
    }

    public boolean accept(VHungarianMove vmove, int delta) {
        return delta < 0 && super.accept(vmove, delta);
    }

    public boolean accept(CPMove cpm, int delta) {
        return delta < 0 && super.accept(cpm, delta);   
    }
}
