package localsearch.moves.complete.softmoves;

/**
 * Created by IntelliJ IDEA.
 * User: hcambaza
 * Date: 20 oct. 2007
 * Time: 11:39:01
 * To change this template use File | Settings | File Templates.
 */
public interface SoftMove {

	/**
	 * the move is assumed to be feasible so the hard constraints keep their null cost
	 * @return the variation of the cost due to soft constraints only
	 */
	public int evalSoftCost();

	/**
	 * @return if the move is keeping the feasability of the current solution
	 */
	public boolean isKeepingFeas();
}
