package localsearch.solvers;

import localsearch.solvers.complete.AbstractSolver;

/**
 * Created by IntelliJ IDEA.
 * User: hcambaza
 * Date: Sep 29, 2008
 * Time: 12:56:21 PM
 * To change this template use File | Settings | File Templates.
 */
public interface LSSolver {

    public void addNeighbourhood(int move);

    public void dynamicNeighbourhood();

    public void setGreedy();

    public void setTimelimit(int timel);

    public void setTabuMetaHeuristic(int tsize);

    public void setSAMetaHeuristic(double ratio);    

    public int getTotalTime();

    public int getNbIter();

    public int getBestCost();

    public int getStartTime();

    public void solve();

    public void outputSolution(boolean soft);
}
