package timetabling.graphics;

import java.io.File;
import javax.swing.filechooser.FileFilter;

public class DiaryFileFilter extends FileFilter 
{
	private String extension;
	private String description;
	
	public DiaryFileFilter(String ext, String descrip)
	{
		this.extension = ext;
		this.description = descrip;
	}
	
	public boolean accept(File file)
	{
		return (file.isDirectory() || file.getName().endsWith(this.extension));
	}
	
	public String getDescription()
	{
		return this.extension + " - " + this.description;
	}	
}
